Page MenuHomePhabricator

[EPIC] Hovercards technical debt and quality enhancements
Closed, ResolvedPublic

Description

A place for hovercards tech debt with the goal of:

  1. being ready to move hovercards into stable
  2. clean up code for hovercards so it's easier to work with

Related Objects

StatusAssignedTask
ResolvedJdlrobson
DuplicateNone
ResolvedJhernandez
Resolvedphuedx
ResolvedJdlrobson
ResolvedJdlrobson
ResolvedJdlrobson
Resolved Nirzar
Resolved jhobs
ResolvedJdlrobson
Resolvedphuedx
ResolvedJdlrobson
ResolvedNone
ResolvedJdlrobson
ResolvedJdlrobson
ResolvedJdlrobson
ResolvedNone
DuplicateNone
InvalidNone
ResolvedJhernandez
InvalidNone
Resolvedphuedx
Resolvedphuedx
ResolvedJdlrobson
DuplicateNone
ResolvedJdlrobson
ResolvedJdlrobson

Event Timeline

ovasileva created this task.Sep 1 2016, 7:21 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 1 2016, 7:21 PM
MBinder_WMF triaged this task as Normal priority.Sep 1 2016, 8:56 PM
MBinder_WMF moved this task from Incoming to Triaged but Future on the Readers-Web-Backlog board.
ovasileva renamed this task from [SPIKE] Identify software quality enhancements for hovercards to Hovercards technical debt and quality enhancements.Oct 21 2016, 9:14 AM
ovasileva raised the priority of this task from Normal to High.
ovasileva added a project: Epic.
ovasileva updated the task description. (Show Details)
ovasileva moved this task from Triaged but Future to Epics/Goals on the Readers-Web-Backlog board.
ovasileva renamed this task from Hovercards technical debt and quality enhancements to [EPIC] Hovercards technical debt and quality enhancements.Oct 21 2016, 9:19 AM
ovasileva changed the status of subtask T148945: Cannot read property 'off' of null from Open to Stalled.Nov 2 2016, 8:06 PM
Jdlrobson added a subscriber: Jdlrobson.

This goal card can be closed in the next sprint if we do the 2 remaining subtasks which are already planned for sprint +1. What do you say @ovasileva ?

Jdlrobson closed this task as Resolved.Jun 5 2017, 11:25 PM
Jdlrobson claimed this task.

I'm calling this. The scope of this task as I recall was to rewrite Popups to make it easier for developers to work with. T148850 does not fit into this remit and all the sub tasks are closed.